#!/bin/bash

# redirect stderr to stdin
exec 2>&1

# stop on any error
set -ex

# define the setup command, but preserve EUPS_PATH
. "/tigress/pprice/hscPipe8/lsstsw/eups/2.1.5/bin/setups.sh"
export EUPS_PATH="/tigress/pprice/hscPipe8/lsstsw/stack"

cd "/tigress/pprice/hscPipe8/lsstsw/build/obs_subaru_data"

# clean up the working directory
git reset --hard
git clean -d -f -q -x -e '_build.*'

# prepare
eupspkg PRODUCT=obs_subaru_data VERSION=8.0-hsc FLAVOR=generic prep

# setup the package with its exact dependencies
cat > _build.tags <<-EOF

EOF
set +x
echo "Setting up environment with EUPS"
setup --vro=_build.tags -r .
set -x

# build
eupspkg PRODUCT=obs_subaru_data VERSION=8.0-hsc FLAVOR=generic config
eupspkg PRODUCT=obs_subaru_data VERSION=8.0-hsc FLAVOR=generic build
if [ -d  tests/.tests ] &&                 [ "`ls tests/.tests/*.failed 2> /dev/null | wc -l`" -ne 0 ]; then
    echo "*** Failed unit tests.";
    exit 1
fi
eupspkg PRODUCT=obs_subaru_data VERSION=8.0-hsc FLAVOR=generic install

# declare to EUPS
eupspkg PRODUCT=obs_subaru_data VERSION=8.0-hsc FLAVOR=generic decl

# explicitly append SHA1 to pkginfo
echo SHA1=81f4c9d68cf177131792b9b3154afa53b545b045 >> $(eups list obs_subaru_data 8.0-hsc -d)/ups/pkginfo
